import React, { Component } from "react";
import { JSONInputProps, JSONInputState } from "./types";
declare class JSONInput extends Component<JSONInputProps, JSONInputState> {
    constructor(props: JSONInputProps);
    updateInternalProps(): void;
    render(): React.JSX.Element;
    renderErrorMessage(): React.JSX.Element;
    renderLabels(): React.JSX.Element[];
    createMarkup(markupText: any): {
        __html: string;
    };
    newSpan(i: number, token: any, depth: any): string;
    getCursorPosition(countBR: boolean): number;
    setCursorPosition(nextPosition: any): void;
    update(cursorOffset?: number, updateCursorPosition?: boolean): void;
    scheduledUpdate(): void;
    setUpdateTime(): void;
    stopEvent(event: any): void;
    onKeyPress(event: any): void;
    onKeyDown(event: any): void;
    onPaste(event: any): void;
    onClick(): void;
    onBlur(): void;
    onScroll(event: any): void;
    componentDidUpdate(): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    showPlaceholder(): void;
    tokenize(something: any): void | "" | {
        tokens: any;
        noSpaces: any;
        indented: any;
        json: any;
        jsObject: any;
        markup: any;
        lines: number;
        error: any;
    } | {
        tokens: any;
        noSpaces: string;
        indented: string;
        json: string;
        jsObject: any;
        markup: string;
        lines: number;
        error?: undefined;
    };
}
export default JSONInput;
//# sourceMappingURL=index.d.ts.map