declare const err: {
    getCaller: (skip?: number) => string;
    throwError: (fxName?: string, paramName?: string, expectation?: string) => never;
    isUndefined: (paramName: string, param: string) => void;
    isFalsy: (paramName: string, param: string) => void;
    isNoneOf: (paramName: string, param: string, contains?: string[]) => void;
    isAnyOf: (paramName: string, param: string, contains?: string[]) => void;
    isNotType: (paramName: string, param: string, type?: string) => void;
    isAnyTypeOf: (paramName: string, param: string, types?: string[]) => void;
    missingKey: (paramName: string, param: string, keyName?: string) => void;
    missingAnyKeys: (paramName: string, param: string, keyNames?: string[]) => void;
    containsUndefined: (paramName: string, param: string) => void;
    isInvalidPath: (paramName: string, param: string) => void;
    isInvalidWriteData: (paramName: string, param: string) => void;
};
export default err;
//# sourceMappingURL=err.d.ts.map