declare namespace _default {
    export let format: string;
    export namespace symbols {
        let colon: string;
        let comma: string;
        let semicolon: string;
        let slash: string;
        let backslash: string;
        namespace brackets {
            let round: string;
            let square: string;
            let curly: string;
            let angle: string;
        }
        let period: string;
        namespace quotes {
            let single: string;
            let double: string;
            let grave: string;
        }
        let space: string;
        let ampersand: string;
        let asterisk: string;
        let at: string;
        let equals: string;
        let hash: string;
        let percent: string;
        let plus: string;
        let minus: string;
        let dash: string;
        let hyphen: string;
        let tilde: string;
        let underscore: string;
        let bar: string;
    }
    export namespace types {
        let key: string;
        let value: string;
        let number: string;
        let string: string;
        let primitive: string;
        let boolean: string;
        let character: string;
        let integer: string;
        let array: string;
        let float: string;
    }
    export namespace invalidToken {
        export namespace tokenSequence {
            let prohibited: string;
            let permitted: string;
        }
        export namespace termSequence {
            let prohibited_1: string;
            export { prohibited_1 as prohibited };
            let permitted_1: string;
            export { permitted_1 as permitted };
        }
        let double_1: string;
        export { double_1 as double };
        export let useInstead: string;
        export let unexpected: string;
    }
    export namespace brace {
        export namespace curly_1 {
            let missingOpen: string;
            let missingClose: string;
            let cannotWrap: string;
        }
        export { curly_1 as curly };
        export namespace square_1 {
            let missingOpen_1: string;
            export { missingOpen_1 as missingOpen };
            let missingClose_1: string;
            export { missingClose_1 as missingClose };
            let cannotWrap_1: string;
            export { cannotWrap_1 as cannotWrap };
        }
        export { square_1 as square };
    }
    export namespace string_1 {
        let missingOpen_2: string;
        export { missingOpen_2 as missingOpen };
        let missingClose_2: string;
        export { missingClose_2 as missingClose };
        export let mustBeWrappedByQuotes: string;
        export let nonAlphanumeric: string;
        export let unexpectedKey: string;
    }
    export { string_1 as string };
    export namespace key_1 {
        let numberAndLetterMissingQuotes: string;
        let spaceMissingQuotes: string;
        let unexpectedString: string;
    }
    export { key_1 as key };
    export let noTrailingOrLeadingComma: string;
}
export default _default;
//# sourceMappingURL=hin.d.ts.map